﻿Option Strict On

Imports Microsoft.Devices.Sensors
Imports Microsoft.Xna.Framework
Partial Public Class MainPage
    Inherits PhoneApplicationPage

    ' コンストラクター
    Public Sub New()
        InitializeComponent()
    End Sub

    Protected Overrides Sub OnNavigatedTo(e As System.Windows.Navigation.NavigationEventArgs)
        If Motion.IsSupported = False Then
            MessageBox.Show("サポートされていません。")
            Exit Sub
        End If

        Dim myMotion As New Motion
        myMotion.TimeBetweenUpdates = TimeSpan.FromMilliseconds(20)
        AddHandler myMotion.CurrentValueChanged, Sub(valueSender As Object, eValue As SensorReadingEventArgs(Of MotionReading))
                                                     Dispatcher.BeginInvoke(Sub()
                                                                                myRotateTransform.Angle = MathHelper.ToDegrees(eValue.SensorReading.Attitude.Yaw)
                                                                            End Sub)
                                                 End Sub
        myMotion.Start()
        MyBase.OnNavigatedTo(e)
    End Sub
End Class
